Bug 1558032 - internal server error when accessing the "policy_events" attribute of the "vms" resource
Summary: internal server error when accessing the "policy_events" attribute of the "vm...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Keywords: ZStream
Depends On: 1546995
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 13:17 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
4 users (show)

(edit)
Clone Of: 1546995
(edit)
Last Closed: 2018-06-25 14:18:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 3 CFME Bot 2018-04-09 18:36:40 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/8fa1eb7009cbdd000313322de9a38c293c16bfe6
commit 8fa1eb7009cbdd000313322de9a38c293c16bfe6
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Fri Mar 16 09:52:16 2018 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Fri Mar 16 09:52:16 2018 -0400

    Merge pull request #17036 from jntullo/bz_1546995

    Fix policy_events relationship on VmOrTemplate
    (cherry picked from commit 94721027a9e8ed44bb6905d99bb86e66a78a11cf)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1558032

 app/models/vm_or_template.rb | 2 +-
 spec/models/vm_or_template_spec.rb | 8 +
 2 files changed, 9 insertions(+), 1 deletion(-)

Comment 4 Martin Kourim 2018-04-25 13:05:15 UTC
Verified on 5.8.4.1 that the "policy_events" attribute can be accessed without error.

Comment 6 errata-xmlrpc 2018-06-25 14:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.